Page MenuHomePhabricator

Use 'informals', 'badwords', etc. in Wikidata feature set
Closed, ResolvedPublic

Description

Add features like:

  • matching_lang_badwords
  • english_lang_badwords
  • matching_lang_dictwords

Careful to not punish langs that we don't have assets for.

Consider using known alphabet of a lang as a feature.

Event Timeline

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.May 5 2017, 1:56 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptJun 15 2017, 2:42 PM
Halfak assigned this task to Ladsgroup.Jun 15 2017, 2:42 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 15 2017, 2:42 PM
Ladsgroup moved this task from Incoming to In progress on the User-Ladsgroup board.Jul 6 2017, 1:03 PM

Should we call this done? or set it back for more signals in later tries?

We're not getting badwords signal from labels or descriptions are we?

Yes we are. When people edit Wikidata using GUI, it adds what they changed as edit summary. See https://www.wikidata.org/w/index.php?title=Special:RecentChanges&hidenondamaging=1 for example.

Oh! I see! Your approach is a very interesting solution. I'm OK with calling this done :)

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 3:09 PM
Ladsgroup moved this task from In progress to Done on the User-Ladsgroup board.Jul 21 2017, 3:09 PM
Halfak closed this task as Resolved.Jul 24 2017, 3:40 PM